#include <Color.h>

#include <SFML/Graphics.hpp>

Color::Color(float r_in, float g_in, float b_in, float a_in = 1.0f)
	: r(r_in)
	, g(g_in)
	, b(b_in)
	, a(a_in)
{ }

Color::Color(sf::Color color_in)
	: r(color_in.r / 255.f)
	, g(color_in.g / 255.f)
	, b(color_in.b / 255.f)
	, a(color_in.a / 255.f)
{ }

sf::Color Color::sfml()
{
	return sf::Color{uint8_t(r * 255), uint8_t(g * 255), uint8_t(b * 255), uint8_t(a * 255)};
}

float* Color::imgui()
{
	return &r;
}
